Package com.castlabs.android.hybridads

# Class HybridAdPlayerPlugin

java.lang.Object
com.castlabs.android.hybridads.HybridAdPlayerPlugin

All Implemented Interfaces:
  `PlayerPlugin`

public class HybridAdPlayerPlugin extends Object implements PlayerPlugin
PlayerPlugin implementation for Hybrid Ads.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.castlabs.android.player.PlayerPlugin

  `PlayerPlugin.DrmInitDataProvider<T extends com.google.android.exoplayer2.offline.FilterableManifest>`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HybridAdPlayerPlugin()`
  Default constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PlayerPlugin.DrmInitDataProvider`
  `createDrmInitDataProvider(ManifestModifier manifestModifier)`
  `com.google.android.exoplayer2.source.MediaSource`
  `createMediaSource(PlayerConfig config, boolean attachInitialPositionProvider, PlayerController playerController)`
  `List<TrackRendererPlugin.TrackRendererContainer>`
  `createRendererContainers(PlayerController playerController, DrmConfiguration drmConfiguration)`
  `com.google.android.exoplayer2.RendererCapabilities[]`
  `getRendererCapabilities(Context context, DrmConfiguration drmConfiguration)`
  `boolean`
  `isFormatSupported(int format, DrmConfiguration configuration)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.castlabs.android.player.PlayerPlugin

  `createDrmLicenseManagers, setDrmLicenseManagers`

- ## Constructor Details

  - ### HybridAdPlayerPlugin

    public HybridAdPlayerPlugin()
    Default constructor.

- ## Method Details

  - ### isFormatSupported

    public boolean isFormatSupported(int format, @Nullable DrmConfiguration configuration)
    Specified by:
      `isFormatSupported` in interface `PlayerPlugin`

  - ### getRendererCapabilities

    @Nullable public com.google.android.exoplayer2.RendererCapabilities[] getRendererCapabilities(@NonNull Context context, @Nullable DrmConfiguration drmConfiguration)
    Specified by:
      `getRendererCapabilities` in interface `PlayerPlugin`

  - ### createDrmInitDataProvider

    @Nullable public PlayerPlugin.DrmInitDataProvider createDrmInitDataProvider(ManifestModifier manifestModifier)
    Specified by:
      `createDrmInitDataProvider` in interface `PlayerPlugin`

  - ### createMediaSource

    @NonNull public com.google.android.exoplayer2.source.MediaSource createMediaSource(@NonNull PlayerConfig config, boolean attachInitialPositionProvider, @NonNull PlayerController playerController)
    Specified by:
      `createMediaSource` in interface `PlayerPlugin`

  - ### createRendererContainers

    @NonNull public List<TrackRendererPlugin.TrackRendererContainer> createRendererContainers(@NonNull PlayerController playerController, @Nullable DrmConfiguration drmConfiguration) throws CastlabsPlayerException
    Specified by:
      `createRendererContainers` in interface `PlayerPlugin`
    Throws:
      `CastlabsPlayerException`